Bug 801890 - virt-dmesg unable to find 'log_end' symbol on F17+ kernel
virt-dmesg unable to find 'log_end' symbol on F17+ kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virt-dmesg (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 13:44 EST by Richard W.M. Jones
Modified: 2016-11-24 05:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 05:40:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug output (6.37 KB, text/plain)
2012-03-09 13:44 EST, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2012-03-09 13:44:15 EST
Created attachment 568975 [details]
debug output

Description of problem:

# sudo virt-dmesg F17
Fatal error: exception Assert_failure("kernel.ml", 281, 2)

I added some debug, and what is happening is virt-dmesg
cannot resolve the 'log_end' symbol in this code:

         let log_buf = StringMap.find "log_buf" symbols in
         let log_buf = Kernel.follow_pointer k log_buf in
         let log_buf_len = StringMap.find "log_buf_len" symbols in
         let log_buf_len = Kernel.get_int32 k log_buf_len in
         let log_end = StringMap.find "log_end" symbols in
[^^^ log_end == -2113186828 which does look like a valid pointer ^^^]
         let log_end = Kernel.get_int64 k log_end in
[^^^ assert error occurs from this call ^^^]
         let logged_chars = StringMap.find "logged_chars" symbols in
         let logged_chars = Kernel.get_int64 k logged_chars in

Full debug output is attached.

Version-Release number of selected component (if applicable):

virt-dmesg 0.3.0 ocaml-libvirt 0.6.1.0
Comment 1 Cole Robinson 2013-06-28 21:26:00 EDT
On an F19 host with a fully booted F17 guest I get:

$ sudo virt-dmesg f17
virt-dmesg: cannot find kernel

If this is a Linux virtual machine, try:

  virt-dmesg --dump-kernel f17 | strings | less

See virt-dmesg(1) man page for more suggestions.
Comment 2 Fedora End Of Life 2013-07-03 22:58:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Richard W.M. Jones 2013-07-04 04:06:48 EDT
Still not fixed upstream.
Comment 4 Jan Kurik 2015-07-15 11:11:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 5 Fedora End Of Life 2016-11-24 05:37:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Richard W.M. Jones 2016-11-24 05:40:25 EST
Probably going to rewrite virt-dmesg to use libvmi.

Note You need to log in before you can comment on or make changes to this bug.